> For the complete documentation index, see [llms.txt](https://auorio.gitbook.io/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://auorio.gitbook.io/docs/api/crustdata.md).

# CrustData

## GET /crustdata/v1/companies/enrich

> Enrich company data using the CrustData API

```json
{"openapi":"3.1.0","info":{"title":"auor.io","version":"1.0.0"},"servers":[{"url":"https://api.auor.io","description":"auor.io (Oreo) Production server"}],"paths":{"/crustdata/v1/companies/enrich":{"get":{"operationId":"crustDataCompaniesEnrichV1","summary":"Enrich company data using the CrustData API","tags":["CrustData"],"parameters":[{"name":"domain","in":"query","description":"The domain of the company you want to retrieve data for.","required":false,"schema":{"type":"string","format":"uri"}},{"name":"name","in":"query","description":"The name of the company you want to retrieve data for.","required":false,"schema":{"type":"string"}},{"name":"linkedInURL","in":"query","description":"The LinkedIn URL of the company to retrieve data for.","required":false,"schema":{"type":"string","format":"uri"}},{"name":"exact","in":"query","description":"Controls how `name` (and `domain`) are matched.","required":false,"schema":{"type":"boolean","default":false}},{"name":"fieldGroups","in":"query","description":"The fields to add to the response.","required":false,"schema":{"type":"array","items":{"type":"string","enum":["taxonomy","competitors","headcount","webTraffic","glassdoor","g2","linkedInFollowers","fundingAndInvestment","jobOpenings","seo","founders","cxos","newsArticles","productHunt","decisionMakers","gartner"]}}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"./schemas/crustdata/v1/companies/enrich/output.json"}}}},"202":{"description":"Enriching","content":{"application/json":{"schema":{"$ref":"./schemas/crustdata/v1/companies/enrich/enriching.json"}}}},"400":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"402":{"description":"Payment required","content":{"application/json":{}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"./schemas/crustdata/v1/companies/enrich/notFound.json"}}}}}}}},"components":{"schemas":{"ValidationError":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"string"}}},"required":["errors"]}}}}
```

## POST /crustdata/v1/companies/search

> Search for companies using the CrustData API

```json
{"openapi":"3.1.0","info":{"title":"auor.io","version":"1.0.0"},"servers":[{"url":"https://api.auor.io","description":"auor.io (Oreo) Production server"}],"paths":{"/crustdata/v1/companies/search":{"post":{"operationId":"crustDataCompaniesSearchV1","summary":"Search for companies using the CrustData API","tags":["CrustData"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"./schemas/crustdata/v1/companies/search/input.json"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"./schemas/crustdata/v1/companies/search/output.json"}}}},"400":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"402":{"description":"Payment required","content":{"application/json":{}}}}}}},"components":{"schemas":{"ValidationError":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"string"}}},"required":["errors"]}}}}
```

## GET /crustdata/v1/filters

> Get a list of possible values for CrustData search filters

```json
{"openapi":"3.1.0","info":{"title":"auor.io","version":"1.0.0"},"servers":[{"url":"https://api.auor.io","description":"auor.io (Oreo) Production server"}],"paths":{"/crustdata/v1/filters":{"get":{"operationId":"crustDataFiltersV1","summary":"Get a list of possible values for CrustData search filters","tags":["CrustData"],"parameters":[{"name":"count","in":"query","description":"The number of results to return. Maximum 50.","required":false,"schema":{"type":"integer","minimum":1,"maximum":50}},{"name":"offset","in":"query","description":"The offset for paginated results.","required":false,"schema":{"type":"integer","minimum":0}},{"name":"query","in":"query","description":"The query, used to search for values of type `type`.","required":true,"schema":{"type":"string"}},{"name":"type","in":"query","description":"The filter type to search on.","required":true,"schema":{"type":"string","enum":["region","industry","title","school"]}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"./schemas/crustdata/v1/filters/output.json"}}}},"400":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"402":{"description":"Payment required","content":{"application/json":{}}}}}}},"components":{"schemas":{"ValidationError":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"string"}}},"required":["errors"]}}}}
```

## GET /crustdata/v1/people/enrich

> Enrich a person's profile using CrustData.

```json
{"openapi":"3.1.0","info":{"title":"auor.io","version":"1.0.0"},"servers":[{"url":"https://api.auor.io","description":"auor.io (Oreo) Production server"}],"paths":{"/crustdata/v1/people/enrich":{"get":{"operationId":"crustDataPeopleEnrichV1","summary":"Enrich a person's profile using CrustData.","tags":["CrustData"],"parameters":[{"name":"linkedInProfileURL","in":"query","description":"The URL of the LinkedIn profile to enrich data for.","required":false,"schema":{"type":"string","format":"uri"}},{"name":"businessEmail","in":"query","description":"The business email address to enrich data for.","required":false,"schema":{"type":"string","format":"email"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"./schemas/crustdata/v1/people/enrich/output.json"}}}},"400":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"402":{"description":"Payment required","content":{"application/json":{}}}}}}},"components":{"schemas":{"ValidationError":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"string"}}},"required":["errors"]}}}}
```

## POST /crustdata/v1/people/search

> Search for people using the CrustData API

```json
{"openapi":"3.1.0","info":{"title":"auor.io","version":"1.0.0"},"servers":[{"url":"https://api.auor.io","description":"auor.io (Oreo) Production server"}],"paths":{"/crustdata/v1/people/search":{"post":{"operationId":"crustDataPeopleSearchV1","summary":"Search for people using the CrustData API","tags":["CrustData"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"./schemas/crustdata/v1/people/search/input.json"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"./schemas/crustdata/v1/people/search/output.json"}}}},"400":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"402":{"description":"Payment required","content":{"application/json":{}}}}}}},"components":{"schemas":{"ValidationError":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"string"}}},"required":["errors"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://auorio.gitbook.io/docs/api/crustdata.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
